查询亚马逊Listing
POST
/erp/sc/data/mws/listing唯一键说明:sid+seller_sku
支持根据亚马逊店铺查询【销售】>【Listing】模块数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/mws/listing | HTTPS | POST | 1 |
请求参数
sidstring必填is_pairintegeris_deleteintegerpair_update_start_timestringpair_update_end_timestringlisting_update_start_timestringlisting_update_end_timestringsearch_fieldstringsearch_valuearray<any>exact_searchintegerstore_typeintegeroffsetintegerlengthinteger请求示例
{
"sid": "1,16",
"is_pair": 1,
"is_delete": 0,
"pair_update_start_time": "2022-01-01 12:01:21",
"pair_update_end_time": "2022-10-01 12:01:21",
"listing_update_start_time": "2021-09-01 01:22:00",
"listing_update_end_time": "2022-10-01 11:22:00",
"search_field": "asin",
"search_value": ["asin1", "asin2"],
"exact_search": 1,
"store_type": 1,
"offset": 0,
"length": 15
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
listing_idstring必填sidinteger必填marketplacestring必填seller_skustring必填fnskustring必填asinstring必填parent_asinstring必填small_image_urlstring必填statusinteger必填is_deleteinteger必填item_namestring必填local_skustring必填local_namestring必填currency_codestring必填pricestring必填list_pricestring必填landed_pricestring必填listing_pricestring必填shippingstring必填pointsstring必填quantityinteger必填afn_fulfillable_quantityinteger必填afn_unsellable_quantityinteger必填reserved_fc_transfersinteger必填reserved_fc_processinginteger必填reserved_customerordersinteger必填afn_inbound_shipped_quantityinteger必填afn_inbound_working_quantityinteger必填afn_inbound_receiving_quantityinteger必填open_datestring必填open_date_displaystring必填listing_update_datestring必填seller_rankinteger必填seller_brandstring必填seller_categorystring必填review_numinteger必填last_starstring必填fulfillment_channel_typestring必填principal_infoarray<object>必填隐藏子属性
principal_uidinteger必填principal_namestring必填seller_category_newarray<any>必填pair_update_timestring必填first_order_timestring必填on_sale_timestring必填store_typeinteger必填total_volumestring必填yesterday_volumestring必填fourteen_volumestring必填thirty_volumestring必填yesterday_amountstring必填seven_amountstring必填fourteen_amountstring必填thirty_amountstring必填average_seven_volumestring必填average_fourteen_volumestring必填average_thirty_volumestring必填dimension_infoarray<object>必填隐藏子属性
item_heightstring必填item_height_units_typestring必填item_lengthstring必填item_length_units_typestring必填item_widthstring必填item_width_units_typestring必填item_weightstring必填item_weight_units_typeobject必填package_heightstring必填package_height_units_typestring必填package_lengthstring必填package_length_units_typestring必填package_widthstring必填package_width_units_typestring必填package_weightstring必填package_weight_units_typestring必填small_rankarray<object>必填隐藏子属性
categorystring必填rankstring必填global_tagsarray<object>必填隐藏子属性
globalTagIdstring必填tagNamestring必填colorstring必填variantarray<object>必填隐藏子属性
attr_namestring必填attr_valuestring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "83AAED7E-A5CF-6A09-6446-36F51AA3EEBA",
"response_time": "2023-10-30 15:38:54",
"total": 10,
"data": [
{
"listing_id": "0623ZI1F5EF11",
"seller_sku": "msku-1",
"fnsku": "B085NPWXXX",
"item_name": "xxxx ",
"local_sku": "n2",
"local_name": "组合2",
"price": "11.10",
"list_price": "2.22",
"quantity": 11,
"asin": "B0B4WP82XX",
"parent_asin": "B0B4WP82XX",
"small_image_url": "https://XXX/XXX.jpg",
"status": 1,
"is_delete": 0,
"afn_fulfillable_quantity": 0,
"reserved_fc_transfers": 0,
"reserved_fc_processing": 0,
"reserved_customerorders": 0,
"afn_inbound_shipped_quantity": 0,
"afn_unsellable_quantity": 0,
"afn_inbound_working_quantity": 0,
"afn_inbound_receiving_quantity": 0,
"currency_code": "USD",
"landed_price": "11.10",
"listing_price": "11.10",
"open_date": "2022-06-23 03:55:12 PDT",
"listing_update_date": "2023-06-28 17:44:14",
"seller_rank": 1112193,
"seller_brand": "str",
"seller_category": "[\"Beauty & Personal Care\"]",
"review_num": 0,
"last_star": "0.0",
"fulfillment_channel_type": "FBM",
"open_date_display": "2022-06-23 03:55:12 -07:00",
"principal_info": [],
"shipping": "0.00",
"points": "0",
"sid": 101,
"store_type": 1,
"total_volume": 100,
"yesterday_volume": 100,
"fourteen_volume": 100,
"thirty_volume": 100,
"yesterday_amount": "110.00",
"seven_amount": "200.00",
"thirty_amount": "300.00",
"average_seven_volume": 100,
"average_fourteen_volume": 100,
"average_thirty_volume": 100
"dimension_info": [
{
"item_height": "0.00",
"item_height_units_type": "",
"item_length": "0.00",
"item_length_units_type": "",
"item_width": "0.00",
"item_width_units_type": "",
"item_weight": "0.00",
"item_weight_units_type": "",
"package_height": "0.00",
"package_height_units_type": "",
"package_length": "0.00",
"package_length_units_type": "",
"package_width": "0.00",
"package_width_units_type": "",
"package_weight": "0.00",
"package_weight_units_type": ""
}
],
"pair_update_time": "2023-10-30 15:25:51",
"small_rank": [
{
"category": "Hair Elastics & Ties",
"rank": 13758
}
],
"on_sale_time": "2023-10-04",
"global_tags":[
{
"globalTagId": "907204347399528686",
"tagName": "TEST-005",
"color": "#3BB84C"
}
],
"variant": [
{
"attr_name": "color",
"attr_value": "Sliver"
}
],
"first_order_time": "",
"marketplace": "美国",
"seller_category_new": [
"Beauty & Personal Care"
]
}
]
}
返回失败示例
{
"code": 102,
"message": "参数不合法",
"error_details": ["sid => sid 必须是数字"],
"request_id": "7D4CD60C-7BAC-6E98-D182-DF241A110AC9",
"response_time": "2021-11-08 18:09:02",
"data": [],
"total": 0
}
附加说明
- 令牌桶容量是 1 ;要求在调用时,需要串行调用,需要在上一次请求返回数据后,下次请求才不会被限流。
特别注意:本接口按照 ( 账户 + path ) 维度进行限流, 一个账户下如存在多个appld, 本接口令牌桶容量是账号下所有appId共享的 , 如果账号下所有appId调用总和超出令牌桶容量限制,将会导致限流。 建议同一账户下的不同 appId 错开调用时间。